Data Fields
_PurpleCircBuffer Struct Reference

## Data Fields
gchar * | buffer
| A pointer to the starting address of our chunk of memory. More...
gsize | growsize
| The incremental amount to increase this buffer by when the buffer is not big enough to hold incoming data, in bytes. More...
gsize | buflen
| The length of this buffer, in bytes. More...
gsize | bufused
| The number of bytes of this buffer that contain unread data. More...
gchar * | inptr
| A pointer to the next byte where new incoming data is buffered to. More...
gchar * | outptr
| A pointer to the next byte of buffered data that should be read by the consumer. More...

## Detailed Description

Definition at line 33 of file circbuffer.h.

## Field Documentation

## ◆ buffer

gchar* _PurpleCircBuffer::buffer

A pointer to the starting address of our chunk of memory.

Definition at line 36 of file circbuffer.h.

## ◆ buflen

gsize _PurpleCircBuffer::buflen

The length of this buffer, in bytes.

Definition at line 43 of file circbuffer.h.

## ◆ bufused

gsize _PurpleCircBuffer::bufused

The number of bytes of this buffer that contain unread data.

Definition at line 46 of file circbuffer.h.

## ◆ growsize

gsize _PurpleCircBuffer::growsize

The incremental amount to increase this buffer by when the buffer is not big enough to hold incoming data, in bytes.

Definition at line 40 of file circbuffer.h.

## ◆ inptr

gchar* _PurpleCircBuffer::inptr

A pointer to the next byte where new incoming data is buffered to.

Definition at line 50 of file circbuffer.h.

## ◆ outptr

gchar* _PurpleCircBuffer::outptr

A pointer to the next byte of buffered data that should be read by the consumer.

Definition at line 54 of file circbuffer.h.

The documentation for this struct was generated from the following file:

- circbuffer.h